Bug 63175 - Needs to use shvar.c from authconfig/initscripts
Summary: Needs to use shvar.c from authconfig/initscripts
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901
TreeView+ depends on / blocked
 
Reported: 2002-04-10 20:42 UTC by Owen Taylor
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 22:32:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Owen Taylor 2002-04-10 20:42:56 UTC
The shvar.c in usermode/shvar.c has:

 s->arena = calloc(buf.st_size, 1);

But expects the result to be \0 terminated, so this should
be buf.st_size + 1. It's probably best to just copy the shvar.c
from initscripts or authconfig in, which has this bug fixed,

(the initscripts/authconfig version is a fair bit different
having been glib-ized, but last time I checked looked generally
identical, and a little better for a few edge cases.)

Comment 1 Nalin Dahyabhai 2002-04-11 14:34:31 UTC
Fixing for 1.53-1.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.